Bug 439962 - Rpmbuild fails and other gtk2hs.spec problems
Rpmbuild fails and other gtk2hs.spec problems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk2hs (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 23:30 EDT by mcnster
Modified: 2008-04-11 03:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 03:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mcnster 2008-03-31 23:30:19 EDT
Description of problems:

1.  Gtk2hs fails to build on Fedora 8 X86_64 system.
2.  gtk2hs.spec missing "BuildRequires: glib2-devel".
3.  gtk2hs.spec missing "BuildRequires: pango-devel".
4.  gtk2hs.spec missing "BuildRequires: atk-devel".


Version-Release number of selected component (if applicable):
gtk2hs-0.9.12.1-6.fc8.src.rpm


How reproducible:
Always.

Steps to Reproduce:
1. rpmbuild -bb gtk2hs.spec
2.
3.
  
Actual results:
<<snip>>
+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu
--target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/share/man --infodir=/usr/share/info --with-hc=ghc-6.8.2
--prefix=/usr --libdir=/usr/lib64/ghc/6.8.2 --enable-packager-mode --enable-docs
--enable-libglade --enable-gconf --enable-profiling --enable-sourceview
--enable-cairo
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking build system type... x86_64-redhat-linux-gnu
checking host system type... x86_64-redhat-linux-gnu
checking for style of include used by make... GNU
checking for x86_64-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... none
checking how to run the C preprocessor... gcc -E
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking for ar... /usr/bin/ar
checking for ld... /usr/bin/ld
checking for basename... /bin/basename
checking for grep that handles long lines and -e... /bin/grep
checking for gzip... /usr/bin/gzip
checking for a sed that does not truncate output... /bin/sed
checking for cut... /usr/bin/cut
checking for tar... /bin/tar
checking for touch... /bin/touch
checking for x86_64-redhat-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking for ghc-6.8.2... /usr/bin/ghc-6.8.2
checking version of GHC... 6.8.2
checking for ghc-pkg-6.8.2... /usr/bin/ghc-pkg-6.8.2
checking for the GHC package "mtl"... yes
checking for x86_64-redhat-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GLIB... yes
checking for GTK... yes
checking for LIBGLADE... no
configure: error: libglade library requirement not met. Perhaps you need to
install libglade or libglade-devel
error: Bad exit status from /var/tmp/rpm-tmp.40270 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.40270 (%build)


Expected results:
Detection of libglade2(-devel) and successful build.

Additional info:
[mcnster@monkeypants SPECS]$ sudo yum list | grep libglade2
libglade2.x86_64                         2.6.2-3.fc8            installed       
libglade2.i386                           2.6.2-3.fc8            installed       
libglade2-devel.x86_64                   2.6.2-3.fc8            installed       
libglade2-devel.i386                     2.6.2-3.fc8            installed       
ruby-libglade2.x86_64                    0.16.0-21.fc8          updates         

Build attempted on pristine installation of Fedora 8 in X86_64 virtual machine
with all updates applied as of Tue Apr  1 03:11:31 UTC.  (I'd like this to be an
April Fool's Joke, but its not. :-)
Comment 1 mcnster 2008-04-01 01:01:03 EDT
Further investigation reveals that the libglade library requirement not met is a
result of libxml2 dependency not met.  (Maybe this *is* an April 1 Joke
afterall... ;-)

Proposed Solution:

Add:
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
BuildRequires: gtksourceview2-devel
BuildRequires: libart_lgpl-devel
 to gtk2hs.spec in addition to the three (3) other BuildRequires listed above in
"Description of Problems".  And awaaaaaaay we go.
Comment 2 mcnster 2008-04-01 01:21:20 EDT
One more:

BuildRequires: libgnomeprint22-devel
Comment 3 Jens Petersen 2008-04-11 03:08:47 EDT
(In reply to comment #0)
> 2.  gtk2hs.spec missing "BuildRequires: glib2-devel".
> 3.  gtk2hs.spec missing "BuildRequires: pango-devel".
> 4.  gtk2hs.spec missing "BuildRequires: atk-devel".

gtk2-devel should pull all these in as deps.

(In reply to comment #1)
> BuildRequires: libxml2-devel

pulled in by libglade2-devel

> BuildRequires: ORBit2-devel

gtk2hs doesn't have any gnome bindings AFAIK.

> BuildRequires: gtksourceview2-devel

I think gtk2hs still uses gtksourceview?

> BuildRequires: libart_lgpl-devel

required by:

(In reply to comment #2)
> BuildRequires: libgnomeprint22-devel

required by gtksourceview-devel.

We seem to be all covered already.
Of course you need yum to resolve those deps when installing.


Note You need to log in before you can comment on or make changes to this bug.